Bug 104871 - RHSA-2003:256-01 Updated Perl packages broke httpd startup
Summary: RHSA-2003:256-01 Updated Perl packages broke httpd startup
Status: CLOSED DUPLICATE of bug 104875
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-22 23:20 UTC by Lee Howard
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:58:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lee Howard 2003-09-22 23:20:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
After updating both Apache RHSA-2003:243-01 and Perl RHSA-2003:256-01 the 
following occurs when httpd is restarted:

[root@138 /root]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: [Mon Sep 22 15:44:54 2003] [error] Can't locate strict.pm in 
@INC (@INC contains: 
/usr/lib/perl5/5.6.0/i386-
linux /usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-linux 
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl . /etc/httpd/ /etc/httpd
/lib/perl) at 
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm line 3.!BEGIN failed--
compilation aborted at 
/usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm line 3.!Compilation failed 
in require at (eval 1) line 3.!
                                                           [FAILED]
[root@138 /root]#

Disabling the perl module in httpd.conf allows Apached to start normally.

Version-Release number of selected component (if applicable):
apache-1.3.27-2.7.1

Comment 1 Henry Holtzman 2003-09-24 03:23:51 UTC
The problem is that the mod_perl package for RH 7.1 is built against perl 
5.6.0, and RHSA-2003:256 replaces perl 5.6.0 with perl 5.6.1 on RH 7.1.

Redhat should either backport the patches to Perl 5.6.0 and release this for 
RH 7.1 (pulling the 5.6.1 Perl package), or it should provide an updated 
mod_perl for RH 7.1 that is built against perl 5.6.1


Comment 2 Lee Howard 2003-10-03 17:40:00 UTC

*** This bug has been marked as a duplicate of 104875 ***

Comment 3 Red Hat Bugzilla 2006-02-21 18:58:40 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.